> For the complete documentation index, see [llms.txt](https://docs-old.evidentlyai.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs-old.evidentlyai.com/v0.1.57/user-guide/customization/options-for-color-schema.md).

# Options for Color Schema

By default, Evidently widgets use the red-grey color scheme.

For example, here is how the Data Drift report looks:

![Data Drift](/files/x3DhuWsbM7gZ6gLPBssS)

To change the colors in the widgets, you can create an object `ColorOptions` from the `evidently.options.color_scheme`, replace the values you need, and use it in the options list when you create a dashboard.

```python
from evidently.options import ColorOptions
from evidently.dashboard import Dashboard
from evidently.dashboard.tabs import DataDriftTab

color_scheme = ColorOptions()
color_scheme.primary_color = "#5a86ad"
color_scheme.fill_color = "#fff4f2"
color_scheme.zero_line_color = "#016795"
color_scheme.current_data_color = "#c292a1" 
color_scheme.reference_data_color = "#017b92"

iris_data_drift_dashboard = Dashboard(tabs=[DataDriftTab()], options=[color_scheme])
```

Here is an example of the report with the modified color schema: ![](/files/8gKyj1eZfVI7IiyX4PBD)

To define values for the colors, you can use CSS and Plotly compatible strings. For example:

* colors names: "blue", "orange", "green"
* RGB values: #fff4f2, #ee00aa and so on.

## Available Options

Here is the list of all color scheme options with the type and meaning of each:

| A Variable in the ColorOptions object | Option type      | Option description                                                                                                                                                               |
| ------------------------------------- | ---------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| primary\_color                        | string           | A basic color for data visualization. Used by default for all bars and lines in widgets with one dataset. Used as the default for the current data in widgets with two datasets. |
| secondary\_color                      | string           | A basic color to visualize the second dataset in the widgets with two datasets. For example, the reference data.                                                                 |
| current\_data\_color                  | string           | A color for the current data. By default, the primary color is used.                                                                                                             |
| reference\_data\_color                | string           | A color for the reference data. By default, the secondary color is used.                                                                                                         |
| color\_sequence                       | array of strings | A set of colors to draw a number of lines in one graph. For example, in the Data Quality dashboard.                                                                              |
| fill\_color                           | string           | A fill color for areas in line graphs.                                                                                                                                           |
| zero\_line\_color                     | string           | A color for the base, zero line in line graphs.                                                                                                                                  |
| non\_visible\_color                   | string           | A color for technical, not visible dots or points for better scalability.                                                                                                        |
| underestimation\_color                | string           | A color for the "underestimation" line in the Regression Performance dashboard.                                                                                                  |
| overestimation\_color                 | string           | A color for the "overestimation" line in the Regression Performance dashboard.                                                                                                   |
| majority\_color                       | string           | A color for the majority line in the Regression Performance dashboard.                                                                                                           |
| ---                                   |                  |                                                                                                                                                                                  |

Evidently also provides some sensible alternative default schemas that have been pre-selected for your convenience:

* 'Solarised'
* 'Karachi Sunrise'
* 'Berlin Autumn'
* 'Nightowl'

To use them, simply import them directly and pass them into your `Dashboard` options as follows (taking the Berlin Autumn scheme as an example):

```python
from evidently.options import BERLIN_AUTUMN_COLOR_OPTIONS

# import the data as usual...
iris_data_drift_report = Dashboard(
    tabs=[DataDriftTab()], options=[BERLIN_AUTUMN_COLOR_OPTIONS]
)

iris_data_drift_report.calculate(
    iris_frame[:75], iris_frame[75:], column_mapping=None
)

iris_data_drift_report.save("output.html")
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs-old.evidentlyai.com/v0.1.57/user-guide/customization/options-for-color-schema.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
